var earthFile, earthFileStream, earthBuffer;
function fileReader(args) {
	if (args.bytesProcessed === -1) {
		Ti.API.error('Done');
		Ti.API.info(earthBuffer.toBlob().height + ' . ' + earthBuffer.toBlob().width + ' . ' + earthBuffer.toBlob().mimeType);
		earthImage.image = earthBuffer.toBlob();
		Ti.API.info(earthImage.image.height + ' . ' + earthImage.image.width + ' . ' + earthImage.image.mimeType);
		earthBuffer.release();
		earthImage.animate({
			opacity : 1,
			duration : 100
		});
	} else {
		Ti.API.error(args.bytesProcessed + ' of ' + args.totalBytesProcessed);
		if (earthBuffer === null) {
			earthBuffer = Ti.createBuffer();
		}
		earthBuffer.append(args.buffer);
	}
}

function loadEarth() {
	earthImage.image = null;
	earthImage.opacity = 0;
	earthFile = Ti.Filesystem.getFile(Ti.Filesystem.resourcesDirectory, 'images', 'Earth.jpg');
	earthFileStream = Ti.Filesystem.openStream(Ti.Filesystem.MODE_READ, earthFile.nativePath);
	earthBuffer = null;
	Ti.Stream.pump(earthFileStream, fileReader, 512, true);
}

var window = Ti.UI.createWindow({
	backgroundColor : 'green'
});

var fishImage = Ti.UI.createImageView({
	left : '10dp',
	top : '10dp',
	right : '10dp',
	height : '200dp',
	image : '/images/ClownFish.jpg'
});
window.add(fishImage);

var earthImage = Ti.UI.createImageView({
	left : '10dp',
	bottom : '10dp',
	right : '10dp',
	height : '200dp',
	opacity : 0
});
earthImage.addEventListener('singletap', loadEarth);
window.add(earthImage);
window.open();

loadEarth(); 